package com.qmth.eds.common.enums;

import java.util.ArrayList;
import java.util.List;

/**
 * 发送消息枚举类
 */
public enum MessageEnum {

    /**
     * 数据变动通知
     */
    NOTICE_OF_TEACH_DATA_CHANGE("考务数据变动通知", "${userName}您好，${courseName}相关命题任务已经提交，由${auditUserNames}负责审核，请您查看！");

    MessageEnum(String name, String template) {
        this.name = name;
        this.template = template;
    }

    private final String name;
    private final String template;


    public static List<EnumResult> listTypes() {
        List<EnumResult> list = new ArrayList<>();
        for (MessageEnum value : MessageEnum.values()) {
            EnumResult result = new EnumResult();
            result.setName(value.name());
            result.setOrdinal(value.ordinal());
            result.setCode(null);
            result.setDesc(value.getName());
            list.add(result);
        }
        return list;
    }

    public String getName() {
        return name;
    }

    public String getTemplate() {
        return template;
    }
}
