package com.qmth.eds.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.eds.common.entity.SysCollege;
import com.qmth.eds.common.util.ServletUtil;
import com.qmth.eds.mapper.SysCollegeMapper;
import com.qmth.eds.service.SysCollegeService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

/**
 * <p>
 * 学院表 服务实现类
 * </p>
 */
@Service
public class SysCollegeServiceImpl extends ServiceImpl<SysCollegeMapper, SysCollege> implements SysCollegeService {

    @Override
    public List<SysCollege> listBySchoolId() {
        Long schoolId = Long.valueOf(ServletUtil.getRequestHeaderSchoolId().toString());
        QueryWrapper<SysCollege> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(SysCollege::getSchoolId, schoolId)
                .orderByAsc(SysCollege::getCode);
        List<SysCollege> colleges = this.list(queryWrapper);
        return colleges.stream().map(m -> {
            m.setAccessKey(null);
            m.setAccessSecret(null);
            return m;
        }).collect(Collectors.toList());
    }
}
