CREATE TABLE `sys_setting` (
                               `id` bigint NOT NULL,
                               `school_id` bigint NOT NULL COMMENT '学校Id',
                               `parameter_object` MEDIUMTEXT NOT NULL COMMENT '参数对象（json）',
                               `create_id` bigint DEFAULT NULL COMMENT '创建人',
                               `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                               `update_id` bigint DEFAULT NULL COMMENT '更新人',
                               `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                               PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='系统设置';

INSERT INTO `sys_role` (`id`, `school_id`, `name`, `enable`, `type`) VALUES ('3', '1', '赋分老师', '1', 'ASSIGN');

INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `sequence`, `enable`, `default_auth`, `front_display`) VALUES ('45', '赋分管理', 'AssignManage', 'MENU', '4', '0', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `enable`, `default_auth`, `front_display`) VALUES ('46', '赋分试算', 'AssignCalc', 'MENU', '45', '1', '1', '0', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('47', '赋分列表查询', '/api/assign/page', 'URL', '45', '1', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('48', '赋分列表详情', '/api/assign/detail', 'URL', '45', '2', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('49', '赋分计算', '/api/assign/calc', 'URL', '45', '3', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('50', '赋分计算结果查询', '/api/assign/result', 'URL', '45', '4', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('51', '赋分计算结果对比', '/api/assign/contrast', 'URL', '45', '5', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('52', '同步结果查询', '/api/sync_task/page', 'URL', '33', '1', 'SYS', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('53', '赋分准备计算', '/api/assign/to_calc', 'URL', '45', '6', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` VALUES (54, '查询考查学院列表', '/api/common/examine/college/list', 'URL', 45, 7, 'SYS', NULL, 1, 1, 1);
INSERT INTO `sys_privilege` VALUES (55, '查询班级列表', '/api/common/clazz/list', 'URL', 45, 8, 'SYS', NULL, 1, 1, 1);
INSERT INTO `sys_privilege` VALUES (56, '查询任课老师列表', '/api/common/teacher/list', 'URL', 45, 9, 'SYS', NULL, 1, 1, 1);
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('57', '考务数据列表-设置使用当前数据文件', '/api/exam_sync_total/used', 'URL', '9', '4', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('58', '查询课程列表', '/api/common/course/list', 'URL', '45', '10', 'SYS', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `sequence`, `enable`, `default_auth`, `front_display`) VALUES ('59', '系统参数设置', 'SysSetting', 'MENU', '6', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('60', '参数查询', '/api/sys_setting/get', 'URL', '58', '1', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('61', '参数保存', '/api/sys_setting/save', 'URL', '58', '2', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('62', '刷新参数缓存', '/api/sys_setting/flush_cache', 'URL', '58', '3', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('63', '发布赋分数据', '/api/assign/publish', 'URL', '45', '7', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('64', '学期管理-启用/禁用', '/api/exam_semester/enable', 'URL', '17', '5', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('65', '考试类型管理-启用/禁用', '/api/exam_type/enable', 'URL', '21', '5', 'AUTH', '1', '1', '1');


INSERT INTO `sys_role_privilege` (`id`, `role_id`, `privilege_id`, `enable`) VALUES ('45', '3', '45', '1');
INSERT INTO `sys_role_privilege` (`id`, `role_id`, `privilege_id`, `enable`) VALUES ('46', '3', '46', '1');
INSERT INTO `sys_role_privilege` (`id`, `role_id`, `privilege_id`, `enable`) VALUES ('47', '3', '47', '1');
INSERT INTO `sys_role_privilege` (`id`, `role_id`, `privilege_id`, `enable`) VALUES ('48', '3', '48', '1');
INSERT INTO `sys_role_privilege` (`id`, `role_id`, `privilege_id`, `enable`) VALUES ('49', '3', '49', '1');
INSERT INTO `sys_role_privilege` (`id`, `role_id`, `privilege_id`, `enable`) VALUES ('50', '3', '50', '1');
INSERT INTO `sys_role_privilege` (`id`, `role_id`, `privilege_id`, `enable`) VALUES ('51', '3', '51', '1');
INSERT INTO `sys_role_privilege` (`id`, `role_id`, `privilege_id`, `enable`) VALUES ('52', '3', '53', '1');
INSERT INTO `sys_role_privilege` (`id`, `role_id`, `privilege_id`, `enable`) VALUES ('53', '2', '57', '1');
INSERT INTO `sys_role_privilege` (`id`, `role_id`, `privilege_id`, `enable`) VALUES ('54', '3', '63', '1');
INSERT INTO `sys_role_privilege` (`id`, `role_id`, `privilege_id`, `enable`) VALUES ('55', '3', '41', '1');



CREATE TABLE `exam_assign` (
     `id` BIGINT(20) NOT NULL,
     `school_id` BIGINT(20) NULL,
     `semester_id` BIGINT(20) NULL,
     `exam_type_id` BIGINT(20) NULL,
     `course_code` VARCHAR(45) NULL,
     `course_name` VARCHAR(100) NULL,
     `open_college` VARCHAR(100) NULL COMMENT '开课学院',
     `formula` VARCHAR(45) NULL COMMENT '公式类型（类型1或者类型2）',
     `coefficient` MEDIUMTEXT NULL COMMENT '系统对象（json格式）',
     `status` VARCHAR(45) NULL COMMENT '状态（INIT-未计算，RUNNING-计算中，FINISH-计算完成）',
     `error_msg` MEDIUMTEXT NULL COMMENT '错误原因（成功时为null，失败时为失败原因）',
     `publish` TINYINT(1) NULL DEFAULT 0 COMMENT '是否发布',
     `create_id` BIGINT(20) NULL,
     `create_time` BIGINT(20) NULL,
     `update_id` BIGINT(20) NULL,
     `update_time` BIGINT(20) NULL,
     PRIMARY KEY (`id`));

ALTER TABLE `cloud_marking_score`
    ADD COLUMN `exam_sync_student_id` BIGINT(20) NULL COMMENT '教务数据表id' AFTER `mark_tags`;

ALTER TABLE `cloud_marking_score`
    ADD COLUMN `assign_score` VARCHAR(45) NULL COMMENT '赋分值' AFTER `total_score`;

ALTER TABLE `exam_sync_total`
    ADD COLUMN `use_file` TINYINT(1) NULL DEFAULT 0 COMMENT '是否使用当前数据文件' AFTER `download_status`;

ALTER TABLE `exam_semester`
    ADD COLUMN `enable` TINYINT(1) NULL DEFAULT 1 COMMENT '启用/禁用' AFTER `name`;

ALTER TABLE `exam_type`
    ADD COLUMN `enable` TINYINT(1) NULL DEFAULT 1 COMMENT '启用/禁用' AFTER `name`;

ALTER TABLE `exam_sync_total`
    ADD INDEX `idx_school_semester_exam_type` (`school_id` ASC, `semester_id` ASC, `exam_type_id` ASC, `use_file` ASC) VISIBLE;

ALTER TABLE `exam_sync_student`
    ADD INDEX `idx_sync_total_id` (`exam_sync_total_id` ASC) VISIBLE;
